<?php
function descargarLote($conexion, $idLote, $real_agregar){    
    $sqlLote = "SELECT * FROM tbl_lote WHERE id=? AND estatus='0'";                                        
    $conexion->prepare($sqlLote);      
	$conexion->bind("s", $idLote);    

    $conexion->execute(); 
    $resLote = $conexion->fetch();

    if(sizeof($resLote) > 0)
	{
		$sqlDetalle = "SELECT * FROM tbl_lote_detalle WHERE id_lote=?";
		$conexion->prepare($sqlDetalle);      
		$conexion->bind("s", $idLote);    

	    $conexion->execute(); 
	    $resDetalle = $conexion->fetch();

	    //
	    foreach ($resDetalle as $key => $detalle) {
	    	$sqlInventario = "UPDATE cat_producto SET inventario=inventario-? WHERE id_producto=?";
	    	$conexion->prepare($sqlInventario);                                                                                        
            $conexion->bind("s", $detalle['merma']);            
            $conexion->bind("s", $detalle['id_producto']); 

            $resultadoInventario = $conexion->execute();

            if($resultadoInventario > 0)
            {
                //historial
                $sqlInsertarHis = "INSERT INTO tbl_producto_inventario (`id_producto`, `tipo`, `cantidad`, `fecha`, `costo`, `id_lote`) values(?,?,?,?,?,?)";
                $conexion->prepare($sqlInsertarHis);                                                                                                     
                $conexion->bind("s", $detalle['id_producto']);                            
                $conexion->bind("s", '1');
                $conexion->bind("s", $detalle['merma']);                               
                $conexion->bind("s", date('Y-m-d H:i:s'));                                             
                $conexion->bind("s", $detalle['costo']); 
                $conexion->bind("s", $idLote);    

                $resultadoInsertarHis = $conexion->execute();    
                
                
                $sql4= "INSERT INTO `tbl_historial_movimientos`(`id_producto`, `tipo_movimiento`, `cantidad_salida`, `cantidad_entrada`, `comentario`, `cantidad_actual`, `fecha`, `usuario`) VALUES (?,?,?,?,?, (SELECT inventario FROM cat_producto WHERE id_producto = ".$detalle['id_producto']." ),now(),?)";
                    
                $conexion->prepare($sql4); 
                $conexion->bind("s", $detalle['id_producto']);
                $conexion->bind("s", 'Salida (Produccion)');
                $conexion->bind("s", $detalle['merma']);
                $conexion->bind("s",'0.00');
                $conexion->bind("s",'Productos utilizados para producción numero <a  href="../produccion/ticket.php?ref='.$idLote.'&ref2=1" target="_blank" >'.$idLote.'</a>');
                
                $conexion->bind("s",'a');
                $resultadoHistorial = $conexion->execute();  

            }
	    }

	    //
	    $sqlInventario = "UPDATE cat_producto SET inventario=inventario WHERE id_producto=?";
    	$conexion->prepare($sqlInventario);                                                                                        
        //$conexion->bind("s", $resLote[0]['cantidad_real']);            
        $conexion->bind("s", $resLote[0]['id_producto']); 

        $resultadoInventario = $conexion->execute();

		if($resultadoInventario > 0)
        {
        	$sqlUpdate = "UPDATE tbl_lote SET estatus='1',cantidad_real=? WHERE id=?";
        	$conexion->prepare($sqlUpdate);                                                                                        
            $conexion->bind("s", $real_agregar);                        
            $conexion->bind("s", $idLote);   

            $resultadoUpdate = $conexion->execute();

            //historial
           /* $sqlInsertarHis = "INSERT INTO tbl_producto_inventario (`id_producto`, `cantidad`, `fecha`, `costo`, `id_lote`) values(?,?,?,?,?)";
            $conexion->prepare($sqlInsertarHis);                                                                                                     
            $conexion->bind("s", $resLote[0]['id_producto']);                                        
            $conexion->bind("s", $resLote[0]['cantidad_real']);                               
            $conexion->bind("s", date('Y-m-d H:i:s'));                                             
            $conexion->bind("s", $resLote[0]['total']); 
            $conexion->bind("s", $idLote);    

            $resultadoInsertarHis = $conexion->execute();  */                        
        }
	}
}